Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::ConeDistance Class Reference

コーン距離 More...

`#include <ConeDistance.h>`

List of all members.

## Static Public Member Functions
float | squaredDistance (const Cone &cone, const Vector3 &point)
| 点距離の二乗
float | squaredDistance (const Cone &cone0, const Cone &cone1)
| コーン距離の二乗
float | squaredDistance (const Cone &cone, const Line &line)
| ライン距離の二乗
float | squaredDistance (const Cone &cone, const OrientedBox &ob)
| 指向性ボックス距離の二乗
float | distance (const Cone &cone, const Plane &plane)
| 平面距離
float | squaredDistance (const Cone &cone, const Ray &ray)
| レイ距離の二乗
float | squaredDistance (const Cone &cone, const Segment &segment)
| セグメント距離の二乗
float | squaredDistance (const Cone &cone, const Sphere &sphere)
| 球距離の二乗
float | squaredDistance (const Cone &cone, const Triangle &triangle)
| 三角距離の二乗

## Detailed Description

コーン距離

Definition at line 43 of file ConeDistance.h.

## Member Function Documentation

float Lamp::ConeDistance::distance | ( | const Cone & | cone,
|  | const Plane & | plane
| ) | `[static]`

  | 平面距離 Parameters:
  cone | コーン
  plane | 平面
Returns: 距離 Definition at line 66 of file ConeDistance.cpp. References Assert.

float Lamp::ConeDistance::squaredDistance | ( | const Cone & | cone,
|  | const Triangle & | triangle
| ) | `[static]`

  | 三角距離の二乗 Parameters:
  cone | コーン
  triangle | 三角
Returns: 距離の二乗 Definition at line 98 of file ConeDistance.cpp. References Assert.

float Lamp::ConeDistance::squaredDistance | ( | const Cone & | cone,
|  | const Sphere & | sphere
| ) | `[static]`

  | 球距離の二乗 Parameters:
  cone | コーン
  sphere | 球
Returns: 距離の二乗 Definition at line 90 of file ConeDistance.cpp. References Assert.

float Lamp::ConeDistance::squaredDistance | ( | const Cone & | cone,
|  | const Segment & | segment
| ) | `[static]`

  | セグメント距離の二乗 Parameters:
  cone | コーン
  segment | セグメント
Returns: 距離の二乗 Definition at line 82 of file ConeDistance.cpp. References Assert.

float Lamp::ConeDistance::squaredDistance | ( | const Cone & | cone,
|  | const Ray & | ray
| ) | `[static]`

  | レイ距離の二乗 Parameters:
  cone | コーン
  ray | レイ
Returns: 距離の二乗 Definition at line 74 of file ConeDistance.cpp. References Assert.

float Lamp::ConeDistance::squaredDistance | ( | const Cone & | cone,
|  | const OrientedBox & | ob
| ) | `[static]`

  | 指向性ボックス距離の二乗 Parameters:
  cone | コーン
  ob | 指向性ボックス
Returns: 距離の二乗 Definition at line 58 of file ConeDistance.cpp. References Assert.

float Lamp::ConeDistance::squaredDistance | ( | const Cone & | cone,
|  | const Line & | line
| ) | `[static]`

  | ライン距離の二乗 Parameters:
  cone | コーン
  line | ライン
Returns: 距離の二乗 Definition at line 50 of file ConeDistance.cpp. References Assert.

float Lamp::ConeDistance::squaredDistance | ( | const Cone & | cone0,
|  | const Cone & | cone1
| ) | `[static]`

  | コーン距離の二乗 Parameters:
  cone0 | コーン
  cone1 | コーン
Returns: 距離の二乗 Definition at line 42 of file ConeDistance.cpp. References Assert.

float Lamp::ConeDistance::squaredDistance | ( | const Cone & | cone,
|  | const Vector3 & | point
| ) | `[static]`

  | 点距離の二乗 Parameters:
  cone | コーン
  point | 点
Returns: 距離の二乗 Definition at line 34 of file ConeDistance.cpp. References Assert.

The documentation for this class was generated from the following files:

- ConeDistance.h
- ConeDistance.cpp